org.eclipse.oomph.util

## Class ServiceUtil

- java.lang.Object
- - org.eclipse.oomph.util.ServiceUtil

-     public final class ServiceUtil
      extends Object

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `getService(org.osgi.framework.BundleContext bundleContext, Class<T> serviceClass)`
    `static void` | `ungetService(org.osgi.framework.BundleContext bundleContext, Object service)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getService

          public static <T> T getService(org.osgi.framework.BundleContext bundleContext,
                         Class<T> serviceClass)

    - #### ungetService

          public static void ungetService(org.osgi.framework.BundleContext bundleContext,
                          Object service)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html